/**
 * @author Daniele Strigaro <daniele.strigaro@supsi.ch>
 * @file Description
 * @desc Created on 2021-09-22 11:28:11 am
 * @copyright 2021 IST-SUPSI (www.supsi.ch/ist)
 */
.form-left {
  grid-column-start: 1;
  grid-column-end: 3;
}

.form-rigth {
  grid-column-start: 3;
  grid-column-end: 6;
}

.formcontent {
  display: flex;
  flex-wrap: wrap;
  width: 100%; 
}

.formpartone {
  width: 49%;
}

@media screen and (max-width: 640px) {
  .formpartone {
    width: 100%;
  }
}

.formparttwo {
  width: 51%;
  overflow: auto;
  height: inherit;
}

@media screen and (max-width: 640px) {
  .formparttwo {
    width: 100%;
  }
}

.form {
  max-height: 80vh;
  margin-bottom: 0;
}

.fieldset {
  max-height: 300px;
}

.fieldset_33 {
  max-height: 300px;
  width: 33.3%;
}

@media screen and (max-width:640px) {
  .fieldset_33 {
    width: 100%;
  }
  .grid {
    flex-direction: column;
  }
}

.other {
  text-decoration: underline;
  text-underline-position: under;
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.flex {
  margin-top: 10px;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.grid {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

/* @media (min-width: 480px) {
  .grid { grid-template-columns: repeat(1, 1fr); }
}
@media (min-width: 640px) {
  .grid { grid-template-columns: repeat(2, 1fr); }
} */

.footer {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  background-color: white;  
  font-weight: 700;
  padding-top: 0.55rem;
  padding-bottom: 0.55rem;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
  border-radius: 0.25rem;
  margin-top: 0.5rem;
  margin-right: 0.5rem;
  color: rgba(31, 41, 55, 1);
  text-align: center;
}

.footer:hover {
  background-color: rgba(31, 41, 55, 1);
  color: rgba(243, 244, 246, 1);
}

.submit:hover {
  color: rgb(112, 121, 138);
  border: 0;
}